using System.Windows;
using Telerik.Windows.Controls.GridView;

namespace RadGridView_WPF_AR_20
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void RadGridViewBilling_RowLoaded(object sender, Telerik.Windows.Controls.GridView.RowLoadedEventArgs e)
		{
			if (e.Row is GridViewRow)
			{
				GridViewRow row = e.Row as GridViewRow;
				Club bill = e.Row.DataContext as Club;
				if (row != null && bill != null && RadGridViewBilling.Items.IndexOf(bill) == 0)
				{
					row.DetailsVisibility = Visibility.Visible;				
				}
			}
		}

	}
}
